package cn.wisenergy.model.enums;

public enum ProjectTypeEnum {
    PROJECT(1, "项目", 1),
    BUSINESS_OPPORTUNITY(2, "商机", 1),
    LEAVE(3, "请假", 2),
    COMPENSATORY_LEAVE(4, "调休", 2),
    EXTERNAL_BUSINESS(5, "外部商务与技术交流", 3),
    INTERNAL_TRAINING(6, "内部培训、技术准备、管理", 3),
    OTHER_NON_PROJECTS(7, "其他非项目/商机工作", 3),
    ;

    private Integer type;
    private String typeName;
    // 1:项目经理  2:自动审批 3:其他管理员
    private Integer reviewer;


    ProjectTypeEnum(Integer type, String typeName, Integer reviewer) {
        this.reviewer = reviewer;
        this.type = type;
        this.typeName = typeName;
    }

    public Integer getType() {
        return type;
    }

    public String getTypeName() {
        return typeName;
    }

    public Integer getReviewer() {
        return reviewer;
    }
}
